Package com.io7m.idstore.protocol.admin.cb.internal

# Class IdACB1ValidationAdmin

java.lang.Object
com.io7m.idstore.protocol.admin.cb.internal.IdACB1ValidationAdmin

public final class IdACB1ValidationAdmin extends Object
Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdAdmin`
  `fromWireAdmin(IdA1Admin fieldAdmin)`
  `static Set<IdAdminPermission>`
  `fromWireAdminPermissions(com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions)`
  `static IdACommandAdminBanCreate`
  `fromWireCommandAdminBanCreate(IdA1CommandAdminBanCreate c)`
  `static IdACommandAdminBanDelete`
  `fromWireCommandAdminBanDelete(IdA1CommandAdminBanDelete c)`
  `static IdACommandAdminBanGet`
  `fromWireCommandAdminBanGet(IdA1CommandAdminBanGet c)`
  `static IdACommandAdminCreate`
  `fromWireCommandAdminCreate(IdA1CommandAdminCreate c)`
  `static IdACommandAdminDelete`
  `fromWireCommandAdminDelete(IdA1CommandAdminDelete c)`
  `static IdACommandAdminEmailAdd`
  `fromWireCommandAdminEmailAdd(IdA1CommandAdminEmailAdd c)`
  `static IdACommandAdminEmailRemove`
  `fromWireCommandAdminEmailRemove(IdA1CommandAdminEmailRemove c)`
  `static IdACommandAdminGet`
  `fromWireCommandAdminGet(IdA1CommandAdminGet c)`
  `static IdACommandAdminGetByEmail`
  `fromWireCommandAdminGetByEmail(IdA1CommandAdminGetByEmail c)`
  `static IdACommandAdminPermissionGrant`
  `fromWireCommandAdminPermissionGrant(IdA1CommandAdminPermissionGrant c)`
  `static IdACommandAdminPermissionRevoke`
  `fromWireCommandAdminPermissionRevoke(IdA1CommandAdminPermissionRevoke c)`
  `static IdACommandAdminSearchBegin`
  `fromWireCommandAdminSearchBegin(IdA1CommandAdminSearchBegin c)`
  `static IdACommandAdminSearchByEmailBegin`
  `fromWireCommandAdminSearchByEmailBegin(IdA1CommandAdminSearchByEmailBegin c)`
  `static IdACommandAdminSearchByEmailNext`
  `fromWireCommandAdminSearchByEmailNext(IdA1CommandAdminSearchByEmailNext c)`
  `static IdACommandAdminSearchByEmailPrevious`
  `fromWireCommandAdminSearchByEmailPrevious(IdA1CommandAdminSearchByEmailPrevious c)`
  `static IdACommandAdminSearchNext`
  `fromWireCommandAdminSearchNext(IdA1CommandAdminSearchNext c)`
  `static IdACommandAdminSearchPrevious`
  `fromWireCommandAdminSearchPrevious(IdA1CommandAdminSearchPrevious c)`
  `static IdACommandAdminSelf`
  `fromWireCommandAdminSelf(IdA1CommandAdminSelf c)`
  `static IdACommandAdminUpdate`
  `fromWireCommandAdminUpdate(IdA1CommandAdminUpdate c)`
  `static IdAResponseAdminBanCreate`
  `fromWireResponseAdminBanCreate(IdA1ResponseAdminBanCreate c)`
  `static IdAResponseAdminBanDelete`
  `fromWireResponseAdminBanDelete(IdA1ResponseAdminBanDelete c)`
  `static IdAResponseAdminBanGet`
  `fromWireResponseAdminBanGet(IdA1ResponseAdminBanGet c)`
  `static IdAResponseAdminCreate`
  `fromWireResponseAdminCreate(IdA1ResponseAdminCreate c)`
  `static IdAResponseAdminDelete`
  `fromWireResponseAdminDelete(IdA1ResponseAdminDelete c)`
  `static IdAResponseAdminGet`
  `fromWireResponseAdminGet(IdA1ResponseAdminGet c)`
  `static IdAResponseAdminSearchBegin`
  `fromWireResponseAdminSearchBegin(IdA1ResponseAdminSearchBegin c)`
  `static IdAResponseAdminSearchByEmailBegin`
  `fromWireResponseAdminSearchByEmailBegin(IdA1ResponseAdminSearchByEmailBegin c)`
  `static IdAResponseAdminSearchByEmailNext`
  `fromWireResponseAdminSearchByEmailNext(IdA1ResponseAdminSearchByEmailNext c)`
  `static IdAResponseAdminSearchByEmailPrevious`
  `fromWireResponseAdminSearchByEmailPrevious(IdA1ResponseAdminSearchByEmailPrevious c)`
  `static IdAResponseAdminSearchNext`
  `fromWireResponseAdminSearchNext(IdA1ResponseAdminSearchNext c)`
  `static IdAResponseAdminSearchPrevious`
  `fromWireResponseAdminSearchPrevious(IdA1ResponseAdminSearchPrevious c)`
  `static IdAResponseAdminSelf`
  `fromWireResponseAdminSelf(IdA1ResponseAdminSelf c)`
  `static IdAResponseAdminUpdate`
  `fromWireResponseAdminUpdate(IdA1ResponseAdminUpdate c)`
  `static IdA1Admin`
  `toWireAdmin(IdAdmin admin)`
  `static IdA1CommandAdminBanCreate`
  `toWireCommandAdminBanCreate(IdACommandAdminBanCreate c)`
  `static IdA1CommandAdminBanDelete`
  `toWireCommandAdminBanDelete(IdACommandAdminBanDelete c)`
  `static IdA1CommandAdminBanGet`
  `toWireCommandAdminBanGet(IdACommandAdminBanGet c)`
  `static IdA1CommandAdminCreate`
  `toWireCommandAdminCreate(IdACommandAdminCreate c)`
  `static IdA1CommandAdminDelete`
  `toWireCommandAdminDelete(IdACommandAdminDelete c)`
  `static IdA1CommandAdminEmailAdd`
  `toWireCommandAdminEmailAdd(IdACommandAdminEmailAdd c)`
  `static IdA1CommandAdminEmailRemove`
  `toWireCommandAdminEmailRemove(IdACommandAdminEmailRemove c)`
  `static IdA1CommandAdminGet`
  `toWireCommandAdminGet(IdACommandAdminGet c)`
  `static IdA1CommandAdminGetByEmail`
  `toWireCommandAdminGetByEmail(IdACommandAdminGetByEmail c)`
  `static IdA1CommandAdminPermissionGrant`
  `toWireCommandAdminPermissionGrant(IdACommandAdminPermissionGrant c)`
  `static IdA1CommandAdminPermissionRevoke`
  `toWireCommandAdminPermissionRevoke(IdACommandAdminPermissionRevoke c)`
  `static IdA1CommandAdminSearchBegin`
  `toWireCommandAdminSearchBegin(IdACommandAdminSearchBegin c)`
  `static IdA1CommandAdminSearchByEmailBegin`
  `toWireCommandAdminSearchByEmailBegin(IdACommandAdminSearchByEmailBegin c)`
  `static IdA1CommandAdminSearchByEmailNext`
  `toWireCommandAdminSearchByEmailNext(IdACommandAdminSearchByEmailNext c)`
  `static IdA1CommandAdminSearchByEmailPrevious`
  `toWireCommandAdminSearchByEmailPrevious(IdACommandAdminSearchByEmailPrevious c)`
  `static IdA1CommandAdminSearchNext`
  `toWireCommandAdminSearchNext(IdACommandAdminSearchNext c)`
  `static IdA1CommandAdminSearchPrevious`
  `toWireCommandAdminSearchPrevious(IdACommandAdminSearchPrevious c)`
  `static IdA1CommandAdminSelf`
  `toWireCommandAdminSelf(IdACommandAdminSelf c)`
  `static IdA1CommandAdminUpdate`
  `toWireCommandAdminUpdate(IdACommandAdminUpdate c)`
  `static IdA1ResponseAdminBanCreate`
  `toWireResponseAdminBanCreate(IdAResponseAdminBanCreate r)`
  `static IdA1ResponseAdminBanDelete`
  `toWireResponseAdminBanDelete(IdAResponseAdminBanDelete r)`
  `static IdA1ResponseAdminBanGet`
  `toWireResponseAdminBanGet(IdAResponseAdminBanGet r)`
  `static IdA1ResponseAdminCreate`
  `toWireResponseAdminCreate(IdAResponseAdminCreate r)`
  `static IdA1ResponseAdminDelete`
  `toWireResponseAdminDelete(IdAResponseAdminDelete r)`
  `static IdA1ResponseAdminGet`
  `toWireResponseAdminGet(IdAResponseAdminGet r)`
  `static IdA1ResponseAdminSearchBegin`
  `toWireResponseAdminSearchBegin(IdAResponseAdminSearchBegin r)`
  `static IdA1ResponseAdminSearchByEmailBegin`
  `toWireResponseAdminSearchByEmailBegin(IdAResponseAdminSearchByEmailBegin r)`
  `static IdA1ResponseAdminSearchByEmailNext`
  `toWireResponseAdminSearchByEmailNext(IdAResponseAdminSearchByEmailNext r)`
  `static IdA1ResponseAdminSearchByEmailPrevious`
  `toWireResponseAdminSearchByEmailPrevious(IdAResponseAdminSearchByEmailPrevious r)`
  `static IdA1ResponseAdminSearchNext`
  `toWireResponseAdminSearchNext(IdAResponseAdminSearchNext r)`
  `static IdA1ResponseAdminSearchPrevious`
  `toWireResponseAdminSearchPrevious(IdAResponseAdminSearchPrevious r)`
  `static IdA1ResponseAdminSelf`
  `toWireResponseAdminSelf(IdAResponseAdminSelf r)`
  `static IdA1ResponseAdminUpdate`
  `toWireResponseAdminUpdate(IdAResponseAdminUpdate r)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toWireResponseAdminSearchBegin

    public static IdA1ResponseAdminSearchBegin toWireResponseAdminSearchBegin(IdAResponseAdminSearchBegin r)

  - ### toWireResponseAdminSearchNext

    public static IdA1ResponseAdminSearchNext toWireResponseAdminSearchNext(IdAResponseAdminSearchNext r)

  - ### toWireResponseAdminSearchPrevious

    public static IdA1ResponseAdminSearchPrevious toWireResponseAdminSearchPrevious(IdAResponseAdminSearchPrevious r)

  - ### toWireResponseAdminSearchByEmailBegin

    public static IdA1ResponseAdminSearchByEmailBegin toWireResponseAdminSearchByEmailBegin(IdAResponseAdminSearchByEmailBegin r)

  - ### toWireResponseAdminSearchByEmailNext

    public static IdA1ResponseAdminSearchByEmailNext toWireResponseAdminSearchByEmailNext(IdAResponseAdminSearchByEmailNext r)

  - ### toWireResponseAdminSearchByEmailPrevious

    public static IdA1ResponseAdminSearchByEmailPrevious toWireResponseAdminSearchByEmailPrevious(IdAResponseAdminSearchByEmailPrevious r)

  - ### toWireResponseAdminSelf

    public static IdA1ResponseAdminSelf toWireResponseAdminSelf(IdAResponseAdminSelf r)

  - ### toWireResponseAdminUpdate

    public static IdA1ResponseAdminUpdate toWireResponseAdminUpdate(IdAResponseAdminUpdate r)

  - ### toWireResponseAdminGet

    public static IdA1ResponseAdminGet toWireResponseAdminGet(IdAResponseAdminGet r)

  - ### toWireResponseAdminDelete

    public static IdA1ResponseAdminDelete toWireResponseAdminDelete(IdAResponseAdminDelete r)

  - ### toWireResponseAdminCreate

    public static IdA1ResponseAdminCreate toWireResponseAdminCreate(IdAResponseAdminCreate r)

  - ### toWireAdmin

    public static IdA1Admin toWireAdmin(IdAdmin admin)

  - ### toWireResponseAdminBanCreate

    public static IdA1ResponseAdminBanCreate toWireResponseAdminBanCreate(IdAResponseAdminBanCreate r)

  - ### toWireResponseAdminBanDelete

    public static IdA1ResponseAdminBanDelete toWireResponseAdminBanDelete(IdAResponseAdminBanDelete r)

  - ### toWireResponseAdminBanGet

    public static IdA1ResponseAdminBanGet toWireResponseAdminBanGet(IdAResponseAdminBanGet r)

  - ### toWireCommandAdminUpdate

    public static IdA1CommandAdminUpdate toWireCommandAdminUpdate(IdACommandAdminUpdate c)

  - ### toWireCommandAdminSelf

    public static IdA1CommandAdminSelf toWireCommandAdminSelf(IdACommandAdminSelf c)

  - ### toWireCommandAdminSearchByEmailNext

    public static IdA1CommandAdminSearchByEmailNext toWireCommandAdminSearchByEmailNext(IdACommandAdminSearchByEmailNext c)

  - ### toWireCommandAdminSearchByEmailPrevious

    public static IdA1CommandAdminSearchByEmailPrevious toWireCommandAdminSearchByEmailPrevious(IdACommandAdminSearchByEmailPrevious c)

  - ### toWireCommandAdminSearchByEmailBegin

    public static IdA1CommandAdminSearchByEmailBegin toWireCommandAdminSearchByEmailBegin(IdACommandAdminSearchByEmailBegin c)

  - ### toWireCommandAdminSearchNext

    public static IdA1CommandAdminSearchNext toWireCommandAdminSearchNext(IdACommandAdminSearchNext c)

  - ### toWireCommandAdminSearchPrevious

    public static IdA1CommandAdminSearchPrevious toWireCommandAdminSearchPrevious(IdACommandAdminSearchPrevious c)

  - ### toWireCommandAdminSearchBegin

    public static IdA1CommandAdminSearchBegin toWireCommandAdminSearchBegin(IdACommandAdminSearchBegin c)

  - ### toWireCommandAdminPermissionGrant

    public static IdA1CommandAdminPermissionGrant toWireCommandAdminPermissionGrant(IdACommandAdminPermissionGrant c)

  - ### toWireCommandAdminPermissionRevoke

    public static IdA1CommandAdminPermissionRevoke toWireCommandAdminPermissionRevoke(IdACommandAdminPermissionRevoke c)

  - ### toWireCommandAdminEmailRemove

    public static IdA1CommandAdminEmailRemove toWireCommandAdminEmailRemove(IdACommandAdminEmailRemove c)

  - ### toWireCommandAdminEmailAdd

    public static IdA1CommandAdminEmailAdd toWireCommandAdminEmailAdd(IdACommandAdminEmailAdd c)

  - ### toWireCommandAdminGet

    public static IdA1CommandAdminGet toWireCommandAdminGet(IdACommandAdminGet c)

  - ### toWireCommandAdminGetByEmail

    public static IdA1CommandAdminGetByEmail toWireCommandAdminGetByEmail(IdACommandAdminGetByEmail c)

  - ### toWireCommandAdminBanDelete

    public static IdA1CommandAdminBanDelete toWireCommandAdminBanDelete(IdACommandAdminBanDelete c)

  - ### toWireCommandAdminBanGet

    public static IdA1CommandAdminBanGet toWireCommandAdminBanGet(IdACommandAdminBanGet c)

  - ### toWireCommandAdminBanCreate

    public static IdA1CommandAdminBanCreate toWireCommandAdminBanCreate(IdACommandAdminBanCreate c)

  - ### toWireCommandAdminCreate

    public static IdA1CommandAdminCreate toWireCommandAdminCreate(IdACommandAdminCreate c)

  - ### toWireCommandAdminDelete

    public static IdA1CommandAdminDelete toWireCommandAdminDelete(IdACommandAdminDelete c)

  - ### fromWireResponseAdminBanCreate

    public static IdAResponseAdminBanCreate fromWireResponseAdminBanCreate(IdA1ResponseAdminBanCreate c)

  - ### fromWireResponseAdminBanDelete

    public static IdAResponseAdminBanDelete fromWireResponseAdminBanDelete(IdA1ResponseAdminBanDelete c)

  - ### fromWireResponseAdminBanGet

    public static IdAResponseAdminBanGet fromWireResponseAdminBanGet(IdA1ResponseAdminBanGet c)

  - ### fromWireResponseAdminCreate

    public static IdAResponseAdminCreate fromWireResponseAdminCreate(IdA1ResponseAdminCreate c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireResponseAdminDelete

    public static IdAResponseAdminDelete fromWireResponseAdminDelete(IdA1ResponseAdminDelete c)

  - ### fromWireResponseAdminGet

    public static IdAResponseAdminGet fromWireResponseAdminGet(IdA1ResponseAdminGet c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireResponseAdminSearchBegin

    public static IdAResponseAdminSearchBegin fromWireResponseAdminSearchBegin(IdA1ResponseAdminSearchBegin c)

  - ### fromWireResponseAdminSearchByEmailBegin

    public static IdAResponseAdminSearchByEmailBegin fromWireResponseAdminSearchByEmailBegin(IdA1ResponseAdminSearchByEmailBegin c)

  - ### fromWireResponseAdminSearchByEmailNext

    public static IdAResponseAdminSearchByEmailNext fromWireResponseAdminSearchByEmailNext(IdA1ResponseAdminSearchByEmailNext c)

  - ### fromWireResponseAdminSearchByEmailPrevious

    public static IdAResponseAdminSearchByEmailPrevious fromWireResponseAdminSearchByEmailPrevious(IdA1ResponseAdminSearchByEmailPrevious c)

  - ### fromWireResponseAdminSearchNext

    public static IdAResponseAdminSearchNext fromWireResponseAdminSearchNext(IdA1ResponseAdminSearchNext c)

  - ### fromWireResponseAdminSearchPrevious

    public static IdAResponseAdminSearchPrevious fromWireResponseAdminSearchPrevious(IdA1ResponseAdminSearchPrevious c)

  - ### fromWireResponseAdminUpdate

    public static IdAResponseAdminUpdate fromWireResponseAdminUpdate(IdA1ResponseAdminUpdate c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireResponseAdminSelf

    public static IdAResponseAdminSelf fromWireResponseAdminSelf(IdA1ResponseAdminSelf c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireCommandAdminBanCreate

    public static IdACommandAdminBanCreate fromWireCommandAdminBanCreate(IdA1CommandAdminBanCreate c)

  - ### fromWireCommandAdminBanDelete

    public static IdACommandAdminBanDelete fromWireCommandAdminBanDelete(IdA1CommandAdminBanDelete c)

  - ### fromWireCommandAdminBanGet

    public static IdACommandAdminBanGet fromWireCommandAdminBanGet(IdA1CommandAdminBanGet c)

  - ### fromWireCommandAdminCreate

    public static IdACommandAdminCreate fromWireCommandAdminCreate(IdA1CommandAdminCreate c) throws IdPasswordException, IdProtocolException
    Throws:
      `IdPasswordException`
      `IdProtocolException`

  - ### fromWireCommandAdminDelete

    public static IdACommandAdminDelete fromWireCommandAdminDelete(IdA1CommandAdminDelete c)

  - ### fromWireCommandAdminEmailAdd

    public static IdACommandAdminEmailAdd fromWireCommandAdminEmailAdd(IdA1CommandAdminEmailAdd c)

  - ### fromWireCommandAdminEmailRemove

    public static IdACommandAdminEmailRemove fromWireCommandAdminEmailRemove(IdA1CommandAdminEmailRemove c)

  - ### fromWireCommandAdminGet

    public static IdACommandAdminGet fromWireCommandAdminGet(IdA1CommandAdminGet c)

  - ### fromWireCommandAdminGetByEmail

    public static IdACommandAdminGetByEmail fromWireCommandAdminGetByEmail(IdA1CommandAdminGetByEmail c)

  - ### fromWireCommandAdminPermissionGrant

    public static IdACommandAdminPermissionGrant fromWireCommandAdminPermissionGrant(IdA1CommandAdminPermissionGrant c)

  - ### fromWireCommandAdminPermissionRevoke

    public static IdACommandAdminPermissionRevoke fromWireCommandAdminPermissionRevoke(IdA1CommandAdminPermissionRevoke c)

  - ### fromWireCommandAdminSearchBegin

    public static IdACommandAdminSearchBegin fromWireCommandAdminSearchBegin(IdA1CommandAdminSearchBegin c)

  - ### fromWireCommandAdminSearchNext

    public static IdACommandAdminSearchNext fromWireCommandAdminSearchNext(IdA1CommandAdminSearchNext c)

  - ### fromWireCommandAdminSearchPrevious

    public static IdACommandAdminSearchPrevious fromWireCommandAdminSearchPrevious(IdA1CommandAdminSearchPrevious c)

  - ### fromWireCommandAdminSearchByEmailBegin

    public static IdACommandAdminSearchByEmailBegin fromWireCommandAdminSearchByEmailBegin(IdA1CommandAdminSearchByEmailBegin c)

  - ### fromWireCommandAdminSearchByEmailNext

    public static IdACommandAdminSearchByEmailNext fromWireCommandAdminSearchByEmailNext(IdA1CommandAdminSearchByEmailNext c)

  - ### fromWireCommandAdminSearchByEmailPrevious

    public static IdACommandAdminSearchByEmailPrevious fromWireCommandAdminSearchByEmailPrevious(IdA1CommandAdminSearchByEmailPrevious c)

  - ### fromWireCommandAdminUpdate

    public static IdACommandAdminUpdate fromWireCommandAdminUpdate(IdA1CommandAdminUpdate c) throws IdPasswordException
    Throws:
      `IdPasswordException`

  - ### fromWireCommandAdminSelf

    public static IdACommandAdminSelf fromWireCommandAdminSelf(IdA1CommandAdminSelf c)

  - ### fromWireAdminPermissions

    public static Set<IdAdminPermission> fromWireAdminPermissions(com.io7m.cedarbridge.runtime.api.CBList<IdA1AdminPermission> fieldPermissions) throws IdProtocolException
    Throws:
      `IdProtocolException`

  - ### fromWireAdmin

    public static IdAdmin fromWireAdmin(IdA1Admin fieldAdmin) throws IdPasswordException, IdProtocolException
    Throws:
      `IdPasswordException`
      `IdProtocolException`